summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build16-i386/etc/pbuilder/rebuild-hooks/B01_cleanup
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-11-16 15:58:09 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-16 15:58:09 +0100
commit7e5ea35ef55fd1a939a6671c91125af4b41c0a29 (patch)
tree90f20d03c513f49ebe397858328bca8c1bdf222b /hosts/profitbricks-build16-i386/etc/pbuilder/rebuild-hooks/B01_cleanup
parent4b08e361797c96e9729e3e2561eaa14124bae357 (diff)
downloadjenkins.debian.net-7e5ea35ef55fd1a939a6671c91125af4b41c0a29.tar.xz
reproducible Debian: add two new i386 build nodes, pb12+16, thanks Profitbricks for the ressources
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'hosts/profitbricks-build16-i386/etc/pbuilder/rebuild-hooks/B01_cleanup')
-rwxr-xr-xhosts/profitbricks-build16-i386/etc/pbuilder/rebuild-hooks/B01_cleanup17
1 files changed, 17 insertions, 0 deletions
diff --git a/hosts/profitbricks-build16-i386/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/profitbricks-build16-i386/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..334e03a2
--- /dev/null
+++ b/hosts/profitbricks-build16-i386/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -z -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi